#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	
	ofBackground(220,220,220);
	
	ofSetCircleResolution(100);
	
	
	radius = 50;
	
}

//--------------------------------------------------------------
void testApp::update(){
	
//safe
	for (int i=0;i<points.size();i++){
	points[i].x=points[i].x + 2*cos(ofGetElapsedTimef()+i/10);
	points[i].y=points[i].y  +2*-sin(ofGetElapsedTimef()+i/10);
		
	}
	/*
	for (int i=0;i<points.size();i++){
		points[i].x=points[i].x + 2*cos(ofGetElapsedTimef()+i/10);
		points[i].y=points[i].y  +*-sin(ofGetElapsedTimef()+i/10);
		
	}*/
	
	/*
	for (int i=0;i<points2.size();i++){
		points2[i].x=points2[i].x + 3*cos(ofGetElapsedTimef()+i/20);
		points2[i].y=points2[i].y  +7*-sin(ofGetElapsedTimef()+i/20);
		
	}*/
	
	
}

//--------------------------------------------------------------
void testApp::draw(){
	
	//color and size
	float sinOfTime			= sin( ofGetElapsedTimef() );
	float sinOfTimeMapped		= ofMap( sinOfTime, -1, 1, 0, 255);
	float sinOfTimeAlpha		= ofMap( sinOfTime, -1, 1, 40, 255);
	float sinBack			= ofMap( sinOfTime, -1, 1, 150, 240);


	float sinOfTimeMappedSize		= ofMap( sinOfTime, -1, 1, 4, 10);
	ofBackground(sinBack,sinBack,sinBack);

	
	float xorig = ofGetWidth()/2;
	float yorig = ofGetHeight()/2;
	float angle = ofGetElapsedTimef()*3.5;
	
	float x = xorig + radius * cos(angle);
	float y = yorig + radius * -sin(angle);
	
	ofPoint temp;
	temp.x = x;
	temp.y = y;
	
	ofPoint temp2;
	temp2.x = xorig + radius * cos(angle)*2;
	temp2.y = yorig + radius * -sin(angle)*3;

	//points to circle
	points.push_back(temp);
	if (points.size() > 2000){
		points.erase(points.begin());
	}
	

	
	
	ofEnableAlphaBlending();
	
	ofSetColor(255, 0,sinOfTimeMapped, 80);
	
	ofFill();
	ofBeginShape();
	
	ofEnableSmoothing() ;
	for (int i = 0; i < points.size(); i++){
		// ofCurveVertex(points[i].x+ofRandom(i,-i), points[i].y+ofRandom(i,-i));
	    ofCircle(points[i].x+ radius * cos(i), points[i].y+ 20+radius * -sin(i), sinOfTimeMappedSize);
	//	ofVertex(points2[i].x+ radius * cos(i), points2[i].y+ 20+radius * -sin(i));



	}
	
	ofEndShape();
	
	ofDisableSmoothing();
	ofDisableAlphaBlending();

	


	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){
	
}

